Bug 187494

Summary: x11-clocks/emiclock: Fix build on i386
Product: Ports & Packages Reporter: tkato432
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
x11-clocks_emiclock.diff none

Description tkato432 2014-03-12 18:40:01 UTC
- Fix build on i386
- Enable sound support for all ARCH

Remove file: 
files/patch-aa
files/patch-include::sound.h
Comment 1 Edwin Groothuis freebsd_committer 2014-03-12 18:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-04-29 06:57:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-04-29 06:57:33 UTC
Author: miwi
Date: Tue Apr 29 05:57:28 2014
New Revision: 352576
URL: http://svnweb.freebsd.org/changeset/ports/352576
QAT: https://qat.redports.org/buildarchive/r352576/

Log:
  - Fix build on i386
  - Enable sound support for all ARCH
  
  PR:		187494
  Submitted by:	ports fury

Modified:
  head/irc/scrollz/Makefile
  head/irc/scrollz/distinfo
  head/irc/scrollz/files/patch-Makefile.in
  head/irc/scrollz/files/patch-source-screen.c
  head/irc/scrollz/pkg-descr
  head/irc/scrollz/pkg-plist

Modified: head/irc/scrollz/Makefile
==============================================================================
--- head/irc/scrollz/Makefile	Tue Apr 29 05:56:20 2014	(r352575)
+++ head/irc/scrollz/Makefile	Tue Apr 29 05:57:28 2014	(r352576)
@@ -2,48 +2,47 @@
 # $FreeBSD$
 
 PORTNAME=	scrollz
-PORTVERSION=	2.2.2
-PORTREVISION=	2
+PORTVERSION=	2.2.3
 CATEGORIES=	irc ipv6
 MASTER_SITES=	http://www.netraam.net/scrollz/download/ \
-		http://www.scrollz.com/download/
+		http://www.scrollz.org/download/
 DISTNAME=	ScrollZ-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Enhanced ircII client that supports scripts, colors, and more
 
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/COPYRIGHT
+
 USES=		gmake iconv ncurses
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-ipv6 --enable-regexp --enable-utf8
-MAKE_ENV=	IRCLIB="${PREFIX}/share/scrollz"
-
-PORTDATA=	*
 
-PLIST_SUB+=	SCROLLZ_VER="${PORTVERSION}"
+PLIST_SUB=	SCROLLZ_VER="${PORTVERSION}"
 
-OPTIONS_DEFAULT=	OPENSSL
 OPTIONS_RADIO=		SSL
 OPTIONS_RADIO_SSL=	GNUTLS OPENSSL
+OPTIONS_DEFAULT=	OPENSSL
 
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MGNUTLS}
-LIB_DEPENDS+=	libgnutls.so:${PORTSDIR}/security/gnutls
-CONFIGURE_ARGS+=	--with-ssl=${LOCALBASE}
-.endif
-
-.if ${PORT_OPTIONS:MOPENSSL}
-USE_OPENSSL=		yes
-CONFIGURE_ARGS+=	--with-openssl=${OPENSSLBASE}
-.endif
+GNUTLS_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls
+GNUTLS_USES=		pkgconfig
+GNUTLS_CONFIGURE_ON=	--with-ssl
+OPENSSL_USE=		OPENSSL=yes
+OPENSSL_CONFIGURE_ON=	--with-openssl=${OPENSSLBASE}
 
 post-patch:
 	@${REINPLACE_CMD} -e 's/-liconv/${ICONV_LIB}/' ${WRKSRC}/configure
 
 pre-build:
 .if !defined(BATCH)
-	@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${CC} ${CFLAGS} -o SZdist SZdist.c)
-	@(cd ${WRKSRC}; ./SZdist)
+	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${CC} ${CFLAGS} -o SZdist \
+		SZdist.c)
+	@(cd ${WRKSRC} && ./SZdist)
 .endif
 
+post-install:
+.for i in scrollz-${PORTVERSION} wservz
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/${i}
+.endfor
+
 .include <bsd.port.mk>

Modified: head/irc/scrollz/distinfo
==============================================================================
--- head/irc/scrollz/distinfo	Tue Apr 29 05:56:20 2014	(r352575)
+++ head/irc/scrollz/distinfo	Tue Apr 29 05:57:28 2014	(r352576)
@@ -1,2 +1,2 @@
-SHA256 (ScrollZ-2.2.2.tar.gz) = f6547389d90008e5092314cbfb339aa7be532d89b5372fecd1602946ff2fa596
-SIZE (ScrollZ-2.2.2.tar.gz) = 940789
+SHA256 (ScrollZ-2.2.3.tar.gz) = 7d95d323168d117b6cb6e73fe1de85b863de7c681b5004545b6eceb76c208d03
+SIZE (ScrollZ-2.2.3.tar.gz) = 948958

Modified: head/irc/scrollz/files/patch-Makefile.in
==============================================================================
--- head/irc/scrollz/files/patch-Makefile.in	Tue Apr 29 05:56:20 2014	(r352575)
+++ head/irc/scrollz/files/patch-Makefile.in	Tue Apr 29 05:57:28 2014	(r352576)
@@ -19,6 +19,17 @@
  #   installflush	- installs ircflush
  #   installscript 	- installs the scripts
  #   installhelp		- installs the help files
+@@ -50,8 +50,8 @@
+ prefix = @prefix@
+ exec_prefix = @exec_prefix@
+ bindir = @bindir@
+-sharedir = @prefix@/share
+-mandir = @prefix@/share/man/man1
++sharedir = @datadir@
++mandir = @mandir@/man1
+ 
+ DESTDIR =
+ 
 @@ -105,7 +105,7 @@
  
  # This program allows you to use screen/xterm's to put new irc windows

Modified: head/irc/scrollz/files/patch-source-screen.c
==============================================================================
--- head/irc/scrollz/files/patch-source-screen.c	Tue Apr 29 05:56:20 2014	(r352575)
+++ head/irc/scrollz/files/patch-source-screen.c	Tue Apr 29 05:57:28 2014	(r352576)
@@ -1,18 +1,6 @@
 --- ./source/screen.c.orig	2011-04-29 03:21:18.000000000 -0500
 +++ ./source/screen.c	2013-07-13 07:45:53.092133202 -0500
-@@ -2000,7 +2000,10 @@
- 	{
- 		puts(incoming);
- 		fflush(stdout);
--		return;
-+/**************************** PATCHED by Flier ******************************/
-+		/*return;*/
-+        return NULL;
-+/****************************************************************************/
- 	}
- 	/* Handles output redirection first */
- 	if (!in_redirect && current_screen->redirect_name &&
-@@ -2416,6 +2419,10 @@
+@@ -2424,6 +2424,10 @@
  	{
  		screen_type = ST_SCREEN;
  	}
@@ -23,7 +11,7 @@
  	else if ((char *) 0 != (displayvar = getenv("DISPLAY")))
  	{
  		if ((char *) 0 == (termvar = getenv("TERM")))
-@@ -2454,6 +2461,7 @@
+@@ -2462,6 +2466,7 @@
  	say("Opening new %s...",
  		screen_type == ST_XTERM ?  "window" :
  		screen_type == ST_SCREEN ? "screen" :
@@ -31,7 +19,7 @@
  					   "wound" );
  	snprintf(sock.sun_path, sizeof sock.sun_path, "/tmp/irc_%08d_%x", (int) pid, mycycle);
  	sock.sun_family = AF_UNIX;
-@@ -2569,6 +2577,22 @@
+@@ -2577,6 +2582,22 @@
  			args[i] = NULL;
  			execvp(xterm, args);
  		}

Modified: head/irc/scrollz/pkg-descr
==============================================================================
--- head/irc/scrollz/pkg-descr	Tue Apr 29 05:56:20 2014	(r352575)
+++ head/irc/scrollz/pkg-descr	Tue Apr 29 05:57:28 2014	(r352576)
@@ -1,9 +1,11 @@
 ScrollZ is an IRC client based on ircII with many enhancements (colors,
-userlists, enhanced scripting, and more). The main difference from other
-clients is that it implements many useful features that you would normally find
-in a script, thus making it faster than such scripts paired up with ircII.
+userlists, enhanced scripting, and more). The main difference from
+other clients is that it implements many useful features that you would
+normally find in a script, thus making it faster than such scripts
+paired up with ircII.
 
-It also has many unique features, such as three-line status bars, CDCC (which
-has reget/resend ability), and its environment is highly customizable.
+It also has many unique features, such as three-line status bars, CDCC
+(which has reget/resend ability), and its environment is highly
+customizable.
 
-WWW: http://www.scrollz.com/
+WWW: http://www.scrollz.org/

Modified: head/irc/scrollz/pkg-plist
==============================================================================
--- head/irc/scrollz/pkg-plist	Tue Apr 29 05:56:20 2014	(r352575)
+++ head/irc/scrollz/pkg-plist	Tue Apr 29 05:57:28 2014	(r352576)
@@ -2,4 +2,733 @@ bin/scrollz
 bin/scrollz-%%SCROLLZ_VER%%
 bin/wservz
 man/man1/scrollz.1.gz
+%%DATADIR%%/doc/ScrollZ.doc
+%%DATADIR%%/help/!
+%%DATADIR%%/help/:
+%%DATADIR%%/help/abort
+%%DATADIR%%/help/about
+%%DATADIR%%/help/addbk
+%%DATADIR%%/help/addchan
+%%DATADIR%%/help/addf
+%%DATADIR%%/help/addfchan
+%%DATADIR%%/help/addfflag
+%%DATADIR%%/help/addmon
+%%DATADIR%%/help/addn
+%%DATADIR%%/help/adds
+%%DATADIR%%/help/addw
+%%DATADIR%%/help/admin
+%%DATADIR%%/help/ajoin
+%%DATADIR%%/help/alias/alias
+%%DATADIR%%/help/alias/functions
+%%DATADIR%%/help/alias/quote
+%%DATADIR%%/help/alias/special
+%%DATADIR%%/help/alias/szvar
+%%DATADIR%%/help/alias/width
+%%DATADIR%%/help/arejoin
+%%DATADIR%%/help/arinwin
+%%DATADIR%%/help/assign
+%%DATADIR%%/help/autocompl
+%%DATADIR%%/help/autoinv
+%%DATADIR%%/help/autoopdelay
+%%DATADIR%%/help/away
+%%DATADIR%%/help/awayencr
+%%DATADIR%%/help/awaysave
+%%DATADIR%%/help/awayt
+%%DATADIR%%/help/ban
+%%DATADIR%%/help/bantime
+%%DATADIR%%/help/bantype
+%%DATADIR%%/help/basics
+%%DATADIR%%/help/beep
+%%DATADIR%%/help/bind/accept_last_chat
+%%DATADIR%%/help/bind/backspace
+%%DATADIR%%/help/bind/backward_character
+%%DATADIR%%/help/bind/backward_history
+%%DATADIR%%/help/bind/backward_word
+%%DATADIR%%/help/bind/beginning_of_line
+%%DATADIR%%/help/bind/bind
+%%DATADIR%%/help/bind/clear_screen
+%%DATADIR%%/help/bind/command_completion
+%%DATADIR%%/help/bind/delete_character
+%%DATADIR%%/help/bind/delete_next_word
+%%DATADIR%%/help/bind/delete_previous_word
+%%DATADIR%%/help/bind/end_of_line
+%%DATADIR%%/help/bind/enter_digraph
+%%DATADIR%%/help/bind/enter_menu
+%%DATADIR%%/help/bind/erase_line
+%%DATADIR%%/help/bind/erase_to_beg_of_line
+%%DATADIR%%/help/bind/erase_to_end_of_line
+%%DATADIR%%/help/bind/examples
+%%DATADIR%%/help/bind/forward_character
+%%DATADIR%%/help/bind/forward_history
+%%DATADIR%%/help/bind/forward_word
+%%DATADIR%%/help/bind/help_character
+%%DATADIR%%/help/bind/insert_autoreply
+%%DATADIR%%/help/bind/insert_tabkey_next
+%%DATADIR%%/help/bind/insert_tabkey_prev
+%%DATADIR%%/help/bind/keys
+%%DATADIR%%/help/bind/lastjoiner_kick
+%%DATADIR%%/help/bind/meta1_character
+%%DATADIR%%/help/bind/meta2_character
+%%DATADIR%%/help/bind/meta3_character
+%%DATADIR%%/help/bind/meta4_character
+%%DATADIR%%/help/bind/meta5_character
+%%DATADIR%%/help/bind/meta6_character
+%%DATADIR%%/help/bind/meta7_character
+%%DATADIR%%/help/bind/meta8_character
+%%DATADIR%%/help/bind/next_window
+%%DATADIR%%/help/bind/nothing
+%%DATADIR%%/help/bind/parse_command
+%%DATADIR%%/help/bind/previous_window
+%%DATADIR%%/help/bind/push_empty_stack
+%%DATADIR%%/help/bind/push_line
+%%DATADIR%%/help/bind/quit_irc
+%%DATADIR%%/help/bind/quote_character
+%%DATADIR%%/help/bind/refresh_inputline
+%%DATADIR%%/help/bind/refresh_screen
+%%DATADIR%%/help/bind/scroll_backward
+%%DATADIR%%/help/bind/scroll_end
+%%DATADIR%%/help/bind/scroll_forward
+%%DATADIR%%/help/bind/scroll_start
+%%DATADIR%%/help/bind/self_insert
+%%DATADIR%%/help/bind/send_line
+%%DATADIR%%/help/bind/stop_irc
+%%DATADIR%%/help/bind/switch_channels
+%%DATADIR%%/help/bind/toggle_insert_mode
+%%DATADIR%%/help/bind/toggle_stop_screen
+%%DATADIR%%/help/bind/transpose_characters
+%%DATADIR%%/help/bind/type_text
+%%DATADIR%%/help/bind/unstop_all_windows
+%%DATADIR%%/help/bind/yank_from_cutbuffer
+%%DATADIR%%/help/bitch
+%%DATADIR%%/help/bk
+%%DATADIR%%/help/bki
+%%DATADIR%%/help/bklist
+%%DATADIR%%/help/bkt
+%%DATADIR%%/help/bye
+%%DATADIR%%/help/c
+%%DATADIR%%/help/cat
+%%DATADIR%%/help/cd
+%%DATADIR%%/help/cdban
+%%DATADIR%%/help/cdcc/autoget
+%%DATADIR%%/help/cdcc/chan
+%%DATADIR%%/help/cdcc/close
+%%DATADIR%%/help/cdcc/dldir
+%%DATADIR%%/help/cdcc/doffer
+%%DATADIR%%/help/cdcc/fsend
+%%DATADIR%%/help/cdcc/get
+%%DATADIR%%/help/cdcc/idle
+%%DATADIR%%/help/cdcc/limit
+%%DATADIR%%/help/cdcc/list
+%%DATADIR%%/help/cdcc/load
+%%DATADIR%%/help/cdcc/longst
+%%DATADIR%%/help/cdcc/notice
+%%DATADIR%%/help/cdcc/ntime
+%%DATADIR%%/help/cdcc/offer
+%%DATADIR%%/help/cdcc/overwr
+%%DATADIR%%/help/cdcc/plist
+%%DATADIR%%/help/cdcc/psend
+%%DATADIR%%/help/cdcc/ptime
+%%DATADIR%%/help/cdcc/queue
+%%DATADIR%%/help/cdcc/renpack
+%%DATADIR%%/help/cdcc/request
+%%DATADIR%%/help/cdcc/resend
+%%DATADIR%%/help/cdcc/save
+%%DATADIR%%/help/cdcc/secure
+%%DATADIR%%/help/cdcc/send
+%%DATADIR%%/help/cdcc/stats
+%%DATADIR%%/help/cdcc/status
+%%DATADIR%%/help/cdcc/uldir
+%%DATADIR%%/help/cdcc/verbose
+%%DATADIR%%/help/cdcc/warning
+%%DATADIR%%/help/chanlog
+%%DATADIR%%/help/chanlogdir
+%%DATADIR%%/help/chanlogpost
+%%DATADIR%%/help/chanlogprefix
+%%DATADIR%%/help/channel
+%%DATADIR%%/help/chanst
+%%DATADIR%%/help/chat
+%%DATADIR%%/help/chpass
+%%DATADIR%%/help/chsignoff
+%%DATADIR%%/help/cjoin
+%%DATADIR%%/help/clear
+%%DATADIR%%/help/clearmon
+%%DATADIR%%/help/cleartab
+%%DATADIR%%/help/color
+%%DATADIR%%/help/commands
+%%DATADIR%%/help/comment
+%%DATADIR%%/help/compress
+%%DATADIR%%/help/connect
+%%DATADIR%%/help/cscan
+%%DATADIR%%/help/ctcp/action
+%%DATADIR%%/help/ctcp/clientinfo
+%%DATADIR%%/help/ctcp/ctcp
+%%DATADIR%%/help/ctcp/echo
+%%DATADIR%%/help/ctcp/finger
+%%DATADIR%%/help/ctcp/ping
+%%DATADIR%%/help/ctcp/time
+%%DATADIR%%/help/ctcp/userinfo
+%%DATADIR%%/help/ctcp/utc
+%%DATADIR%%/help/ctcp/version
+%%DATADIR%%/help/ctcpcloak
+%%DATADIR%%/help/cycle
+%%DATADIR%%/help/date
+%%DATADIR%%/help/dcc/chat
+%%DATADIR%%/help/dcc/close
+%%DATADIR%%/help/dcc/dcc
+%%DATADIR%%/help/dcc/get
+%%DATADIR%%/help/dcc/list
+%%DATADIR%%/help/dcc/raw
+%%DATADIR%%/help/dcc/rename
+%%DATADIR%%/help/dcc/send
+%%DATADIR%%/help/deop
+%%DATADIR%%/help/deops
+%%DATADIR%%/help/deopt
+%%DATADIR%%/help/describe
+%%DATADIR%%/help/dhop
+%%DATADIR%%/help/die
+%%DATADIR%%/help/digraph
+%%DATADIR%%/help/dirlm
+%%DATADIR%%/help/dirlmk
+%%DATADIR%%/help/dirln
+%%DATADIR%%/help/dirlnk
+%%DATADIR%%/help/dirlsm
+%%DATADIR%%/help/dirlsn
+%%DATADIR%%/help/disconnect
+%%DATADIR%%/help/dobans
+%%DATADIR%%/help/dop
+%%DATADIR%%/help/dprot
+%%DATADIR%%/help/dump
+%%DATADIR%%/help/dvoice
+%%DATADIR%%/help/echo
+%%DATADIR%%/help/ego
+%%DATADIR%%/help/encrmsg
+%%DATADIR%%/help/encrypt
+%%DATADIR%%/help/etdelim
+%%DATADIR%%/help/etiquette
+%%DATADIR%%/help/etopic
+%%DATADIR%%/help/eval
+%%DATADIR%%/help/exec
+%%DATADIR%%/help/exit
+%%DATADIR%%/help/expressions
+%%DATADIR%%/help/extmes
+%%DATADIR%%/help/extpub
+%%DATADIR%%/help/fake
+%%DATADIR%%/help/fbk
+%%DATADIR%%/help/fcline
+%%DATADIR%%/help/fdline
+%%DATADIR%%/help/fec
+%%DATADIR%%/help/filine
+%%DATADIR%%/help/finger
+%%DATADIR%%/help/fk
+%%DATADIR%%/help/fkline
+%%DATADIR%%/help/flline
+%%DATADIR%%/help/floodp
+%%DATADIR%%/help/flush
+%%DATADIR%%/help/foreach
+%%DATADIR%%/help/frlist
+%%DATADIR%%/help/ftrace
+%%DATADIR%%/help/help
+%%DATADIR%%/help/history
+%%DATADIR%%/help/hook
+%%DATADIR%%/help/hop
+%%DATADIR%%/help/idlekick
+%%DATADIR%%/help/idletime
+%%DATADIR%%/help/if
+%%DATADIR%%/help/ig
+%%DATADIR%%/help/ignore
+%%DATADIR%%/help/igtime
+%%DATADIR%%/help/info
+%%DATADIR%%/help/input
+%%DATADIR%%/help/intro
+%%DATADIR%%/help/inv
+%%DATADIR%%/help/invite
+%%DATADIR%%/help/ison
+%%DATADIR%%/help/j
+%%DATADIR%%/help/join
+%%DATADIR%%/help/k
+%%DATADIR%%/help/keys
+%%DATADIR%%/help/keyx
+%%DATADIR%%/help/kick
+%%DATADIR%%/help/kickonban
+%%DATADIR%%/help/kickonflood
+%%DATADIR%%/help/kickops
+%%DATADIR%%/help/kicks
+%%DATADIR%%/help/kickt
+%%DATADIR%%/help/kill
+%%DATADIR%%/help/knock
+%%DATADIR%%/help/kprot
+%%DATADIR%%/help/l
+%%DATADIR%%/help/lastlog
+%%DATADIR%%/help/leave
+%%DATADIR%%/help/levels
+%%DATADIR%%/help/links
+%%DATADIR%%/help/list
+%%DATADIR%%/help/listbk
+%%DATADIR%%/help/listf
+%%DATADIR%%/help/listmon
+%%DATADIR%%/help/listn
+%%DATADIR%%/help/lists
+%%DATADIR%%/help/listw
+%%DATADIR%%/help/lk
+%%DATADIR%%/help/llook
+%%DATADIR%%/help/llookup
+%%DATADIR%%/help/load
+%%DATADIR%%/help/logon
+%%DATADIR%%/help/ls
+%%DATADIR%%/help/lusers
+%%DATADIR%%/help/m
+%%DATADIR%%/help/map
+%%DATADIR%%/help/massdv
+%%DATADIR%%/help/massv
+%%DATADIR%%/help/mc
+%%DATADIR%%/help/mdhop
+%%DATADIR%%/help/mdop
+%%DATADIR%%/help/me
+%%DATADIR%%/help/menus
+%%DATADIR%%/help/mhop
+%%DATADIR%%/help/mirc
+%%DATADIR%%/help/mk
+%%DATADIR%%/help/mkill
+%%DATADIR%%/help/mload
+%%DATADIR%%/help/mode
+%%DATADIR%%/help/modelock
+%%DATADIR%%/help/modeunlock
+%%DATADIR%%/help/monitor
+%%DATADIR%%/help/mop
+%%DATADIR%%/help/motd
+%%DATADIR%%/help/mreop
+%%DATADIR%%/help/msay
+%%DATADIR%%/help/msg
+%%DATADIR%%/help/multk
+%%DATADIR%%/help/n
+%%DATADIR%%/help/names
+%%DATADIR%%/help/net
+%%DATADIR%%/help/newhost
+%%DATADIR%%/help/news
+%%DATADIR%%/help/newuser
+%%DATADIR%%/help/newusers
+%%DATADIR%%/help/nhprot
+%%DATADIR%%/help/nick
+%%DATADIR%%/help/nickchan
+%%DATADIR%%/help/nicks
+%%DATADIR%%/help/nickt
+%%DATADIR%%/help/nochat
+%%DATADIR%%/help/noig
+%%DATADIR%%/help/nokey
+%%DATADIR%%/help/note/antiwall
+%%DATADIR%%/help/note/count
+%%DATADIR%%/help/note/deny
+%%DATADIR%%/help/note/find
+%%DATADIR%%/help/note/flag
+%%DATADIR%%/help/note/key
+%%DATADIR%%/help/note/log
+%%DATADIR%%/help/note/ls
+%%DATADIR%%/help/note/news
+%%DATADIR%%/help/note/note
+%%DATADIR%%/help/note/rm
+%%DATADIR%%/help/note/save
+%%DATADIR%%/help/note/send
+%%DATADIR%%/help/note/sent
+%%DATADIR%%/help/note/service
+%%DATADIR%%/help/note/spy
+%%DATADIR%%/help/note/stats
+%%DATADIR%%/help/note/user
+%%DATADIR%%/help/note/waitfor
+%%DATADIR%%/help/note/wall
+%%DATADIR%%/help/note/wallops
+%%DATADIR%%/help/notepad
+%%DATADIR%%/help/notice
+%%DATADIR%%/help/notify
+%%DATADIR%%/help/nprot
+%%DATADIR%%/help/nslookup
+%%DATADIR%%/help/ntfymode
+%%DATADIR%%/help/nwhois
+%%DATADIR%%/help/on/action
+%%DATADIR%%/help/on/cdcc_plist
+%%DATADIR%%/help/on/cdcc_plist_footer
+%%DATADIR%%/help/on/cdcc_plist_header
+%%DATADIR%%/help/on/channel_nick
+%%DATADIR%%/help/on/channel_signoff
+%%DATADIR%%/help/on/channel_synch
+%%DATADIR%%/help/on/channel_wallop
+%%DATADIR%%/help/on/connect
+%%DATADIR%%/help/on/ctcp
+%%DATADIR%%/help/on/ctcp_reply
+%%DATADIR%%/help/on/dcc_chat
+%%DATADIR%%/help/on/dcc_list
+%%DATADIR%%/help/on/dcc_list_footer
+%%DATADIR%%/help/on/dcc_list_header
+%%DATADIR%%/help/on/dcc_raw
+%%DATADIR%%/help/on/disconnect
+%%DATADIR%%/help/on/exec
+%%DATADIR%%/help/on/exec_errors
+%%DATADIR%%/help/on/exec_exit
+%%DATADIR%%/help/on/exec_prompt
+%%DATADIR%%/help/on/flood
+%%DATADIR%%/help/on/help
+%%DATADIR%%/help/on/hook
+%%DATADIR%%/help/on/idle
+%%DATADIR%%/help/on/input
+%%DATADIR%%/help/on/invite
+%%DATADIR%%/help/on/join
+%%DATADIR%%/help/on/join_me
+%%DATADIR%%/help/on/leave
+%%DATADIR%%/help/on/list
+%%DATADIR%%/help/on/mail
+%%DATADIR%%/help/on/mode
+%%DATADIR%%/help/on/msg
+%%DATADIR%%/help/on/msg_group
+%%DATADIR%%/help/on/names
+%%DATADIR%%/help/on/nickname
+%%DATADIR%%/help/on/note
+%%DATADIR%%/help/on/notice
+%%DATADIR%%/help/on/notify_signoff
+%%DATADIR%%/help/on/notify_signoff_uh
+%%DATADIR%%/help/on/notify_signon
+%%DATADIR%%/help/on/notify_signon_uh
+%%DATADIR%%/help/on/numeric
+%%DATADIR%%/help/on/on
+%%DATADIR%%/help/on/public
+%%DATADIR%%/help/on/public_msg
+%%DATADIR%%/help/on/public_notice
+%%DATADIR%%/help/on/public_other
+%%DATADIR%%/help/on/raw_irc
+%%DATADIR%%/help/on/raw_send
+%%DATADIR%%/help/on/send_action
+%%DATADIR%%/help/on/send_ctcp
+%%DATADIR%%/help/on/send_dcc_chat
+%%DATADIR%%/help/on/send_msg
+%%DATADIR%%/help/on/send_notice
+%%DATADIR%%/help/on/send_public
+%%DATADIR%%/help/on/serial_numbers
+%%DATADIR%%/help/on/server_notice
+%%DATADIR%%/help/on/signoff
+%%DATADIR%%/help/on/timer
+%%DATADIR%%/help/on/topic
+%%DATADIR%%/help/on/wall
+%%DATADIR%%/help/on/wallop
+%%DATADIR%%/help/on/who
+%%DATADIR%%/help/on/window
+%%DATADIR%%/help/on/window_kill
+%%DATADIR%%/help/on/window_swap
+%%DATADIR%%/help/op
+%%DATADIR%%/help/oper
+%%DATADIR%%/help/orignick
+%%DATADIR%%/help/origntime
+%%DATADIR%%/help/ov
+%%DATADIR%%/help/p
+%%DATADIR%%/help/parsekey
+%%DATADIR%%/help/part
+%%DATADIR%%/help/passwd
+%%DATADIR%%/help/ping
+%%DATADIR%%/help/playback
+%%DATADIR%%/help/query
+%%DATADIR%%/help/quit
+%%DATADIR%%/help/quote
+%%DATADIR%%/help/ranlk
+%%DATADIR%%/help/rbind
+%%DATADIR%%/help/re
+%%DATADIR%%/help/reconnect
+%%DATADIR%%/help/redirect
+%%DATADIR%%/help/rehash
+%%DATADIR%%/help/reload
+%%DATADIR%%/help/rembk
+%%DATADIR%%/help/remchan
+%%DATADIR%%/help/remf
+%%DATADIR%%/help/remfchan
+%%DATADIR%%/help/remfflag
+%%DATADIR%%/help/remlog
+%%DATADIR%%/help/remmon
+%%DATADIR%%/help/remn
+%%DATADIR%%/help/rems
+%%DATADIR%%/help/remw
+%%DATADIR%%/help/repword
+%%DATADIR%%/help/restart
+%%DATADIR%%/help/rules
+%%DATADIR%%/help/s
+%%DATADIR%%/help/save
+%%DATADIR%%/help/say
+%%DATADIR%%/help/sb
+%%DATADIR%%/help/scrollz/copyright
+%%DATADIR%%/help/send
+%%DATADIR%%/help/sendline
+%%DATADIR%%/help/server
+%%DATADIR%%/help/servlist
+%%DATADIR%%/help/servnotice
+%%DATADIR%%/help/set/always_split_biggest
+%%DATADIR%%/help/set/auto_reconnect
+%%DATADIR%%/help/set/auto_reconnect_channels
+%%DATADIR%%/help/set/auto_unmark_away
+%%DATADIR%%/help/set/auto_whowas
+%%DATADIR%%/help/set/away_file
+%%DATADIR%%/help/set/background_colour
+%%DATADIR%%/help/set/beep
+%%DATADIR%%/help/set/beep_max
+%%DATADIR%%/help/set/beep_on_mail
+%%DATADIR%%/help/set/beep_on_msg
+%%DATADIR%%/help/set/beep_when_away
+%%DATADIR%%/help/set/bold_video
+%%DATADIR%%/help/set/chanlog_strip_ansi
+%%DATADIR%%/help/set/channel_name_width
+%%DATADIR%%/help/set/client_information
+%%DATADIR%%/help/set/clock
+%%DATADIR%%/help/set/clock_24hour
+%%DATADIR%%/help/set/clock_alarm
+%%DATADIR%%/help/set/cmdchars
+%%DATADIR%%/help/set/command_mode
+%%DATADIR%%/help/set/continued_line
+%%DATADIR%%/help/set/ctcp_reply_backlog_seconds
+%%DATADIR%%/help/set/ctcp_reply_flood_size
+%%DATADIR%%/help/set/ctcp_reply_ignore_seconds
+%%DATADIR%%/help/set/dcc_block_size
+%%DATADIR%%/help/set/dcc_host
+%%DATADIR%%/help/set/dcc_ports
+%%DATADIR%%/help/set/debug
+%%DATADIR%%/help/set/decrypt_program
+%%DATADIR%%/help/set/default_protocol
+%%DATADIR%%/help/set/display
+%%DATADIR%%/help/set/display_ansi
+%%DATADIR%%/help/set/display_encoding
+%%DATADIR%%/help/set/eight_bit_characters
+%%DATADIR%%/help/set/encrypt_pad_msgs
+%%DATADIR%%/help/set/encrypt_pad_public
+%%DATADIR%%/help/set/encrypt_program
+%%DATADIR%%/help/set/exec_protection
+%%DATADIR%%/help/set/flood_after
+%%DATADIR%%/help/set/flood_rate
+%%DATADIR%%/help/set/flood_users
+%%DATADIR%%/help/set/flood_warning
+%%DATADIR%%/help/set/foreground_colour
+%%DATADIR%%/help/set/full_status_line
+%%DATADIR%%/help/set/help_pager
+%%DATADIR%%/help/set/help_path
+%%DATADIR%%/help/set/help_prompt
+%%DATADIR%%/help/set/help_window
+%%DATADIR%%/help/set/hide_channel_keys
+%%DATADIR%%/help/set/hide_private_channels
+%%DATADIR%%/help/set/high_ascii
+%%DATADIR%%/help/set/highlight_char
+%%DATADIR%%/help/set/history
+%%DATADIR%%/help/set/history_file
+%%DATADIR%%/help/set/hold_mode
+%%DATADIR%%/help/set/hold_mode_max
+%%DATADIR%%/help/set/hyper_dcc
+%%DATADIR%%/help/set/indent
+%%DATADIR%%/help/set/input_aliases
+%%DATADIR%%/help/set/input_encoding
+%%DATADIR%%/help/set/input_prompt
+%%DATADIR%%/help/set/input_protection
+%%DATADIR%%/help/set/insert_mode
+%%DATADIR%%/help/set/inverse_video
+%%DATADIR%%/help/set/irc_encoding
+%%DATADIR%%/help/set/irchost
+%%DATADIR%%/help/set/iso2022_support
+%%DATADIR%%/help/set/lastlog
+%%DATADIR%%/help/set/lastlog_ansi
+%%DATADIR%%/help/set/lastlog_level
+%%DATADIR%%/help/set/load_path
+%%DATADIR%%/help/set/log
+%%DATADIR%%/help/set/logfile
+%%DATADIR%%/help/set/mail
+%%DATADIR%%/help/set/make_notice_msg
+%%DATADIR%%/help/set/max_modes
+%%DATADIR%%/help/set/max_recursions
+%%DATADIR%%/help/set/max_wallop_nicks
+%%DATADIR%%/help/set/menu
+%%DATADIR%%/help/set/minimum_servers
+%%DATADIR%%/help/set/minimum_users
+%%DATADIR%%/help/set/netsplit_time
+%%DATADIR%%/help/set/no_ask_nickname
+%%DATADIR%%/help/set/no_ctcp_flood
+%%DATADIR%%/help/set/notify_handler
+%%DATADIR%%/help/set/notify_level
+%%DATADIR%%/help/set/notify_on_termination
+%%DATADIR%%/help/set/notify_show_name
+%%DATADIR%%/help/set/notify_string
+%%DATADIR%%/help/set/novice
+%%DATADIR%%/help/set/old_encrypt_program
+%%DATADIR%%/help/set/pause_after_motd
+%%DATADIR%%/help/set/rate_limit_join
+%%DATADIR%%/help/set/realname
+%%DATADIR%%/help/set/same_window_only
+%%DATADIR%%/help/set/save_encryption_keys
+%%DATADIR%%/help/set/scroll
+%%DATADIR%%/help/set/scroll_lines
+%%DATADIR%%/help/set/scrollz_string
+%%DATADIR%%/help/set/send_ignore_msg
+%%DATADIR%%/help/set/send_userhost_on_nick_in_use
+%%DATADIR%%/help/set/set
+%%DATADIR%%/help/set/shell
+%%DATADIR%%/help/set/shell_flags
+%%DATADIR%%/help/set/shell_limit
+%%DATADIR%%/help/set/show_away_once
+%%DATADIR%%/help/set/show_channel_names
+%%DATADIR%%/help/set/show_end_of_msgs
+%%DATADIR%%/help/set/show_numerics
+%%DATADIR%%/help/set/show_status_all
+%%DATADIR%%/help/set/show_who_hopcount
+%%DATADIR%%/help/set/stamp_format
+%%DATADIR%%/help/set/status_away
+%%DATADIR%%/help/set/status_channel
+%%DATADIR%%/help/set/status_channelcount
+%%DATADIR%%/help/set/status_chanop
+%%DATADIR%%/help/set/status_clock
+%%DATADIR%%/help/set/status_dquery
+%%DATADIR%%/help/set/status_format
+%%DATADIR%%/help/set/status_hold
+%%DATADIR%%/help/set/status_hold_lines
+%%DATADIR%%/help/set/status_insert
+%%DATADIR%%/help/set/status_lines
+%%DATADIR%%/help/set/status_loadavg
+%%DATADIR%%/help/set/status_mail
+%%DATADIR%%/help/set/status_mode
+%%DATADIR%%/help/set/status_notify
+%%DATADIR%%/help/set/status_notify_repw_end_var
+%%DATADIR%%/help/set/status_notify_repw_start_var
+%%DATADIR%%/help/set/status_oper
+%%DATADIR%%/help/set/status_overwrite
+%%DATADIR%%/help/set/status_query
+%%DATADIR%%/help/set/status_reverse
+%%DATADIR%%/help/set/status_scrolled
+%%DATADIR%%/help/set/status_scrolled_lines
+%%DATADIR%%/help/set/status_server
+%%DATADIR%%/help/set/status_umode
+%%DATADIR%%/help/set/status_uptime
+%%DATADIR%%/help/set/status_user
+%%DATADIR%%/help/set/status_voice
+%%DATADIR%%/help/set/status_window
+%%DATADIR%%/help/set/suppress_server_motd
+%%DATADIR%%/help/set/tab_max
+%%DATADIR%%/help/set/trace
+%%DATADIR%%/help/set/truncate_public_channel
+%%DATADIR%%/help/set/underline_video
+%%DATADIR%%/help/set/user_information
+%%DATADIR%%/help/set/user_wallops
+%%DATADIR%%/help/set/username
+%%DATADIR%%/help/set/verbose_ctcp
+%%DATADIR%%/help/set/warn_of_ignores
+%%DATADIR%%/help/set/xterm_geomoptstr
+%%DATADIR%%/help/set/xterm_options
+%%DATADIR%%/help/set/xterm_path
+%%DATADIR%%/help/setaway
+%%DATADIR%%/help/setback
+%%DATADIR%%/help/settings
+%%DATADIR%%/help/showaway
+%%DATADIR%%/help/showchan
+%%DATADIR%%/help/showidle
+%%DATADIR%%/help/showkill
+%%DATADIR%%/help/shownick
+%%DATADIR%%/help/showsign
+%%DATADIR%%/help/showuser
+%%DATADIR%%/help/showwallop
+%%DATADIR%%/help/signoff
+%%DATADIR%%/help/sinfo
+%%DATADIR%%/help/sleep
+%%DATADIR%%/help/sping
+%%DATADIR%%/help/squit
+%%DATADIR%%/help/stamp
+%%DATADIR%%/help/stats
+%%DATADIR%%/help/sve
+%%DATADIR%%/help/switch
+%%DATADIR%%/help/t
+%%DATADIR%%/help/tabkey
+%%DATADIR%%/help/tban
+%%DATADIR%%/help/terminate
+%%DATADIR%%/help/time
+%%DATADIR%%/help/timer
+%%DATADIR%%/help/tkill
+%%DATADIR%%/help/topic
+%%DATADIR%%/help/topiclock
+%%DATADIR%%/help/topicunlock
+%%DATADIR%%/help/trace
+%%DATADIR%%/help/type
+%%DATADIR%%/help/umode
+%%DATADIR%%/help/unban
+%%DATADIR%%/help/unflash
+%%DATADIR%%/help/url
+%%DATADIR%%/help/urlcatch
+%%DATADIR%%/help/userhost
+%%DATADIR%%/help/users
+%%DATADIR%%/help/ver
+%%DATADIR%%/help/version
+%%DATADIR%%/help/voice
+%%DATADIR%%/help/w
+%%DATADIR%%/help/wait
+%%DATADIR%%/help/wall
+%%DATADIR%%/help/wallops
+%%DATADIR%%/help/which
+%%DATADIR%%/help/while
+%%DATADIR%%/help/who
+%%DATADIR%%/help/whois
+%%DATADIR%%/help/wholeft
+%%DATADIR%%/help/whowas
+%%DATADIR%%/help/wi
+%%DATADIR%%/help/wii
+%%DATADIR%%/help/window/add
+%%DATADIR%%/help/window/addgroup
+%%DATADIR%%/help/window/back
+%%DATADIR%%/help/window/balance
+%%DATADIR%%/help/window/bind
+%%DATADIR%%/help/window/channel
+%%DATADIR%%/help/window/create
+%%DATADIR%%/help/window/delete
+%%DATADIR%%/help/window/delgroup
+%%DATADIR%%/help/window/double
+%%DATADIR%%/help/window/goto
+%%DATADIR%%/help/window/grow
+%%DATADIR%%/help/window/hide
+%%DATADIR%%/help/window/hide_others
+%%DATADIR%%/help/window/hold_mode
+%%DATADIR%%/help/window/kill
+%%DATADIR%%/help/window/kill_others
+%%DATADIR%%/help/window/lastlog_level
+%%DATADIR%%/help/window/level
+%%DATADIR%%/help/window/list
+%%DATADIR%%/help/window/log
+%%DATADIR%%/help/window/logfile
+%%DATADIR%%/help/window/move
+%%DATADIR%%/help/window/name
+%%DATADIR%%/help/window/new
+%%DATADIR%%/help/window/next
+%%DATADIR%%/help/window/nostatus
+%%DATADIR%%/help/window/notify
+%%DATADIR%%/help/window/notify_level
+%%DATADIR%%/help/window/number
+%%DATADIR%%/help/window/pop
+%%DATADIR%%/help/window/previous
+%%DATADIR%%/help/window/prompt
+%%DATADIR%%/help/window/push
+%%DATADIR%%/help/window/query
+%%DATADIR%%/help/window/refnum
+%%DATADIR%%/help/window/remove
+%%DATADIR%%/help/window/scroll
+%%DATADIR%%/help/window/server
+%%DATADIR%%/help/window/show
+%%DATADIR%%/help/window/shrink
+%%DATADIR%%/help/window/size
+%%DATADIR%%/help/window/stack
+%%DATADIR%%/help/window/sticky
+%%DATADIR%%/help/window/swap
+%%DATADIR%%/help/window/title
+%%DATADIR%%/help/window/unbind
+%%DATADIR%%/help/window/unname
+%%DATADIR%%/help/window/window
+%%DATADIR%%/help/wkill
+%%DATADIR%%/help/ww
+%%DATADIR%%/help/xecho
+%%DATADIR%%/help/xtype
 @exec mkdir -p %D/%%DATADIR%%/script
+@dirrmtry %%DATADIR%%/script
+@dirrm %%DATADIR%%/help/window
+@dirrm %%DATADIR%%/help/set
+@dirrm %%DATADIR%%/help/scrollz
+@dirrm %%DATADIR%%/help/on
+@dirrm %%DATADIR%%/help/note
+@dirrm %%DATADIR%%/help/dcc
+@dirrm %%DATADIR%%/help/ctcp
+@dirrm %%DATADIR%%/help/cdcc
+@dirrm %%DATADIR%%/help/bind
+@dirrm %%DATADIR%%/help/alias
+@dirrm %%DATADIR%%/help
+@dirrm %%DATADIR%%/doc
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-04-29 07:01:22 UTC
Author: miwi
Date: Tue Apr 29 06:01:16 2014
New Revision: 352578
URL: http://svnweb.freebsd.org/changeset/ports/352578
QAT: https://qat.redports.org/buildarchive/r352578/

Log:
  - Fix build on i386
  - Enable sound support for all ARCH
  
  PR:		187494
  Submitted by:	ports fury

Deleted:
  head/x11-clocks/emiclock/files/
Modified:
  head/x11-clocks/emiclock/Makefile
  head/x11-clocks/emiclock/pkg-plist

Modified: head/x11-clocks/emiclock/Makefile
==============================================================================
--- head/x11-clocks/emiclock/Makefile	Tue Apr 29 06:00:06 2014	(r352577)
+++ head/x11-clocks/emiclock/Makefile	Tue Apr 29 06:01:16 2014	(r352578)
@@ -3,7 +3,7 @@
 
 PORTNAME=	emiclock
 PORTVERSION=	2.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	x11-clocks
 MASTER_SITES=	http://ftp.vector.co.jp/pack/unix/personal/tokei/
 
@@ -13,28 +13,31 @@ COMMENT=	Hyper-animated face analog cloc
 USES=		imake
 USE_XORG=	ice sm x11 xaw xext xmu xpm xt
 
+OPTIONS_DEFINE=	DOCS
+
 LANGRES=	resources/R6/EUC/EmiClock.ad
-LANGDIR=	${LOCALBASE}/lib/X11/ja_JP.eucJP/app-defaults
-LANGDIR2=	${LOCALBASE}/lib/X11/ja_JP.EUC/app-defaults
-EMICLOCKDIR=	${LOCALBASE}/lib/X11/EmiClock
-
-PORTDOCS=	COPYRIGHT COPYRIGHT.en
-
-.include <bsd.port.options.mk>
-
-.if ${ARCH} != "i386"
-PLIST_SUB=	SOUND="@comment "
-.else
-PLIST_SUB=	SOUND=""
-.endif
+LANGDIR=	${PREFIX}/lib/X11/ja_JP.eucJP/app-defaults
+LANGDIR2=	${PREFIX}/lib/X11/ja_JP.EUC/app-defaults
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^#if defined.*\(FreeBSDArchitecture\).*|#ifdef \1| ; \
+		 /MakeDir/s|EmiClockLib|$$(DESTDIR)&| ; \
+		 /INSTALL/s|EmiClockLib|$$(DESTDIR)&|' ${WRKSRC}/Imakefile
+	@${REINPLACE_CMD} -e \
+		'/USE_SOUND/s|#undef|#define|' ${WRKSRC}/config.h
+	@${REINPLACE_CMD} -e \
+		'/soundcard.h/s|machine|sys|' ${WRKSRC}/include/sound.h
 
 post-install:
-	@${MKDIR} ${STAGEDIR}${EMICLOCKDIR}
 	@${MKDIR} ${STAGEDIR}${LANGDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${LANGRES} \
+		${STAGEDIR}${LANGDIR}/EmiClock)
 	@${MKDIR} ${STAGEDIR}${LANGDIR2}
-	cd ${WRKSRC} && ${INSTALL_DATA} ${LANGRES} ${STAGEDIR}${LANGDIR}/EmiClock
-	cd ${WRKSRC} && ${INSTALL_DATA} ${LANGRES} ${STAGEDIR}${LANGDIR2}/EmiClock
+	${LN} -sf ../../ja_JP.eucJP/app-defaults/EmiClock \
+		${STAGEDIR}${LANGDIR2}/EmiClock
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	cd ${WRKSRC}; ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} COPYRIGHT COPYRIGHT.en \
+		${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/x11-clocks/emiclock/pkg-plist
==============================================================================
--- head/x11-clocks/emiclock/pkg-plist	Tue Apr 29 06:00:06 2014	(r352577)
+++ head/x11-clocks/emiclock/pkg-plist	Tue Apr 29 06:01:16 2014	(r352578)
@@ -1,11 +1,14 @@
 bin/emiclock
-%%SOUND%%lib/X11/EmiClock/myu.au
+lib/X11/EmiClock/myu.au
 lib/X11/app-defaults/EmiClock
 lib/X11/ja_JP.EUC/app-defaults/EmiClock
 lib/X11/ja_JP.eucJP/app-defaults/EmiClock
 man/man1/emiclock.1.gz
+%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
+%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT.en
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrmtry lib/X11/ja_JP.eucJP/app-defaults
 @dirrmtry lib/X11/ja_JP.eucJP
 @dirrmtry lib/X11/ja_JP.EUC/app-defaults
 @dirrmtry lib/X11/ja_JP.EUC
-@dirrmtry lib/X11/EmiClock
+@dirrm lib/X11/EmiClock
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"